# Évolutions



## Mode cartographique

### Personnalisation de l'outil de localisation

Au travers du formulaire de l'objet métier il est maintenant possible de modifier le texte apparaissant dans l'outil de localisation.

![carto_localisation](images/carto_localisation.jpg)

### Amélioration de l'interface "Jeux de données"

Ajout d'une boîte à cocher permettant d'afficher ou de cacher simultanément plusieurs couches d'un calque à la condition qu'au moins une couche soit sélectionnée.

![carto_affichage_couches](images/carto_affichage_couches.jpg)

### Sources et mesures dans les impressions

* Affichage des sources (copyrights) des couches définies dans le mode Mapserver sur les impressions
* Affichage des mesures dans les impressions faites par les utilisateurs

![impressions_mesures](images/impressions_sources_mesures.jpg)

### Cartes par défaut aux utilisateurs

Il est désormais possible depuis le formulaire d'édition d'un utilisateur de lui fournir une carte par défaut

### Diminution du nombre de clics nécessaires lors de l'insertion

Amélioration de l'ergonomie pour diminuer le nombre de clics nécessaires lors de l'insertion de données

### Utilisation des paramètres log, lat et zoom dans les paramètres de l'URL

Dans le but de faciliter l'intégration de vMap dans des applications tierces, il est désormais possible d'ouvrir vMap sur une position donnée en passant les paramètres log, lat et zoom dans l'URL.


## Objets métiers

### Upload de plusieurs documents simultanés

Sur les types "Image - Objet métier" et "Document - Objet métier", une case à cocher permet d'associer plusieurs fichiers lors de l'upload

![studio upload documents multiples](images/studio_multiple_docs_1.jpg)

Dans le formulaire l'utilisateur peut visualiser, télécharger, modifier ou supprimer les documents envoyés

![studio upload documents multiples](images/studio_multiple_docs_2.jpg)

### Ajout d'options pour changer dynamiquement la valeur, la visibilité et la disponibilité des champs

* **Valeur** : met à jour la valeur de l'élément en fonction d'autres attributs au chargement ou lorsque ces derniers sont modifiés (exemple : `= int({{puissance}}) * int({{portee}})`)
* **Visible** : permet de rendre visible/invisible un élément en fonction d'autres attributs (exemple : `= int({{puissance}}) * int({{portee}}) > 5000`)
* **Verrou** : permet d'activer/désactiver un élément en fonction d'autres attributs (exemple : `= int({{puissance}}) * int({{portee}}) > 5000`)

![studio options dynamiques](images/studio_options_dynamiques.jpg)

### Sources de données de type API externe

Un nouveau type de sources de données permettra de récupérer des informations depuis une API ouverte sans avoir à la stocker les données.

![studio api externe](images/studio_api_externe.jpg)

### Ajout des champs « Objet localisable » et « Objet sélectionnable »

Ajout des champs « Objet localisable » et « Objet sélectionnable » dans le formulaire objet métier pour définir si un objet métier est disponible en localisation et en selection.

## Module ANC

### Génération de rapports dans l'onglet contrôle

En liant les contrôles à un objet métier depuis les fichiers de configuration, il est désormais possible de générer des rapports PDF ou doc depuis une nouvelle section "Rapports".

![anc rapport controle](images/anc_rapports_controle.jpg)

### Modification des encarts cartographiques sur installation et contrôle

Ajout de la possibilité d'utiliser une carte personnalisée avec zoom automatique sur la parcelle impactée depuis les onglets installation et contrôle.

![anc encarts cartographiques](images/anc_encarts_carto.jpg)

### Ajout d'un champ commentaires dans l'onglet contrôle

![anc controle commentaires](images/anc_controle_commentaires.jpg)

### Rotation des symboles des schémas de contrôle

Dans la section schéma de l'onglet contrôle, mise en place de sliders pour ajuster la taille et la rotation des symboles.

![anc schemas controle](images/anc_schemas_controle.jpg)

### Amélioration du champ commune de l'onglet entreprise

Évolution de l'outil d'administration des entreprises en mettant une liste déroulante éditable.

### Modification du champ code postal de l'onglet installation

Modification des champs adresse, code postal et commune en mettant des champs avec possibilité de saisir chiffre ou texte.

Le besoin est de pouvoir gérer des adresses à l'étranger.

### Modification du tri par défaut de l'onglet installation

Modification de l'ordre par défaut du tableau présent sur l'onglet installation pour que les dernières installations apparaissent en premier.

### Modification des boutons installation

Modification de l'ordre et les couleurs des boutons de l'onglet installation pour éviter les suppressions accidentelles.

## Autres

### Utilisation d'une compilation simple

Pour préparer le développement de futurs modules vMap en tant que surcouches et indépendants des versions du logiciel, la compilation google closure a été passée en mode simple au lieu de advanced

### Passage à mapserver 7.2.1


# Anomalies corrigées

## 2019.01.00

- L'utilisation de virgules dans la localisation X/Y ne fonctionne pas sous firefox
- Augmenter à 100 la taille du champ "server" de la table "s_vm4ms.connection"
- Supprimer le message d'erreur PhantomJS lors de l'installation
- Correction des traductions anglaises
- ANC : problème lors de la réinitialisation du filtre contrôle
- ANC : dans les évacuations d’eaux, il n’est pas possible de mettre un chiffre après la virgule
- ANC : affichage de type d'effluent dans contrôle non conforme
- ANC : enlever la restriction de profondeur d'apparition

## 2019.01.01

- Fenêtres impressions bloquées par firefox ou des bloqueurs de publicités
- Impossible de récupérer les couches d'un service depuis l'interface cartographique sur google chrome
- Requêteur : nombre d'enregistrements non mis à jour lors de la suppression d'un enregistrement
- ANC : liste des entreprises vide dans filières agrées

# 2019.01.02

- Onglet "Carte 2" non cliquable dans la section "Jeux de données" en mode comparaison
- Sources dans les impressions pour un utilisateur non vm4ms
- ANC : dans les évacuations d’eaux, il n’est pas possible de mettre un chiffre après la virgule
